import {normalCallPost} from '@/assets/utils/index';


// 完成任务
export function complete(data) {
  return normalCallPost('/task/process/complete', data)

}

// 委派任务
export function delegate(data) {
  return normalCallPost('/task/process/delegate', data)

}

// 转办任务
export function assignTask(data) {
  return normalCallPost('/task/process/assignTask', data)

}

// 加签任务
export function addSignTask(data) {
  return normalCallPost('/task/process/addSignTask', data)

}

// 退回任务
export function returnTask(data) {
  return normalCallPost('/task/process/return', data)
}

// 驳回任务
export function rejectTask(data) {
  return normalCallPost('/task/process/reject', data)

}

// 可退回任务列表
export function returnList(data) {
  return normalCallPost('/task/process/returnList', data)
  // return request({
  //   url: '/flowable/task/returnList',
  //   method: 'post',
  //   data: data
  // })
}

// 下一节点
export function getNextFlowNode(data) {
  return normalCallPost('/task/process/nextFlowNode', {"data":JSON.stringify(data)})
  // return request({
  //   url: '/flowable/task/nextFlowNode',
  //   method: 'post',
  //   data: data
  // })
}

// 部署流程实例
export function deployStart(deployId) {
  // return request({
  //   url: '/flowable/process/startFlow/' + deployId,
  //   method: 'get',
  // })
}

// 查询流程定义详细
export function getDeployment(id) {

}

// 新增流程定义
export function addDeployment(data) {

}

// 修改流程定义
export function updateDeployment(data) {

}

// 删除流程定义
export function delDeployment(id) {

}

// 导出流程定义
export function exportDeployment(query) {
  // return request({
  //   url: '/system/deployment/export',
  //   method: 'get',
  //   params: query
  // })
}
